VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CommonDialogAPI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetSaveFileName Lib "comdlg32.dll" Alias "GetSaveFileNameA" (pOpenfilename As OpenFileName) As Long

Private Type OpenFileName
        lStructSize As Long
        hwndOwner As Long
        hInstance As Long
        lpstrFilter As String
        lpstrCustomFilter As String
        nMaxCustFilter As Long
        nFilterIndex As Long
        lpstrFile As String
        nMaxFile As Long
        lpstrFileTitle As String
        nMaxFileTitle As Long
        lpstrInitialDir As String
        lpstrTitle As String
        flags As Long
        nFileOffset As Integer
        nFileExtension As Integer
        lpstrDefExt As String
        lCustData As Long
        lpfnHook As Long
        lpTemplateName As String
End Type

Public mFileName As String
Private mStatus As Boolean

Public Property Get GetName() As String
    'Return the filename
    GetName = mFileName
End Property

Public Property Let GetName(FName As String)
    'Store the filename
    mFileName = FName
End Property

Public Property Get GetStatus() As Boolean
    'Return the status
    GetStatus = mStatus
End Property
Public Property Let GetStatus(FStatus As Boolean)
    'Store the status
    mStatus = FStatus
End Property


Public Function OpenFileDialog(FormName As Long, AppInstance As Long, InitDir As String, FileFilter As String) As Long
    On Error Resume Next
    
    Dim X As Long
    Dim sFilter As String
    Dim OpenFile As OpenFileName

    With OpenFile
        .lStructSize = Len(OpenFile)
        .hwndOwner = FormName
        .hInstance = App.hInstance
        .lpstrFilter = FileFilter
        .nFilterIndex = 1
        .lpstrFile = Trim(Form1.Text2) + String(257, 0)
        .nMaxFile = Len(OpenFile.lpstrFile) - 1
        .lpstrFileTitle = OpenFile.lpstrFile
        .nMaxFileTitle = OpenFile.nMaxFile
        .lpstrInitialDir = InitDir
        .lpstrTitle = "Save File"
        .flags = 0
        .lpstrDefExt = ".txt"
   End With
      
    'Ask user to enter filename to be saved
    X = GetSaveFileName(OpenFile)
    If X = 0 Then
        mFileName = "none"
        mStatus = False
    Else
        mStatus = True
        SaveRez (Trim(OpenFile.lpstrFile))
        'mFileName = Trim(OpenFile.lpstrFile)
    End If
End Function

Public Sub SaveRez(SaveName As String)
'


Dim j As Long
Dim I As Long
Dim k As Long
Dim BegLeftWd As Long
Dim EndLeftWd As Long
Dim BegRightWd As Long
Dim EndRightWd As Long
Dim NLeftWd As Long
Dim NRightWd As Long
Dim z As Long
    
Open SaveName For Output As #4
Print #4, "===================="" " + UCase(Form1.Text2) + " """ + String(Abs(53 - Len(Form1.Text2)), "=")
Print #4,
Print #4, "---------------"" " + UCase(Form1.Text3) + " """ + String(Abs(58 - Len(Form1.Text3)), "-")
For j = 0 To NWords
    Print #4,
    Print #4,
    Print #4, "======================================================"" " + UCase(CurWd(j)) + " """ + String(Abs(19 - LenWd(j)), "=")
    
    For k = 1 To LenWd(j) - 1
        Print #4,
        Print #4,
        Print #4, "--   W1-----------"; Str(k); " ---------------- *"; UCase(Left(CurWd(j), k)); " - "; UCase(Right(CurWd(j), LenWd(j) - k)); String(Abs(18 - LenWd(j)), "-")
        BegLeftWd = BKW1(j, k)
        EndLeftWd = EKW1(j, k)
        NLeftWd = EndLeftWd - BegLeftWd
        For z = 1 To NLeftWd
            Print #4, WDic(W1(j, BegLeftWd + z)); " ";
        Next z
    Next k
    
    For k = 1 To LenWd(j) - 1
        Print #4,
        Print #4,
        Print #4, "--  W2-----------"; Str(k); " ----------------- "; UCase(Left(CurWd(j), k)); " - "; UCase(Right(CurWd(j), LenWd(j) - k)); "* "; String(Abs(16 - LenWd(j)), "-")
        BegRightWd = BKW2(j, k)
        EndRightWd = EKW2(j, k)
        NRightWd = EndRightWd - BegRightWd
        For z = 1 To NRightWd
            Print #4, WDic(W2(j, BegRightWd + z)); " ";
        Next z
    Next k
    
    Print #4,
    Print #4,
    Print #4, "-- R--------------------------------------------"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To R(j, 0)
        Print #4, WDic(R(j, I)); " ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--  E-----------------------------------"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To E(j, 0)
        Print #4, WDic(E(j, I)); " ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--      Wp2W1-------"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To Wp2W1(j, 0)
        Print #4, WDic(Wp2W1(j, I)); " ("; Trim(Str(KpWp2W1(j, I))); ","; Trim(Str(KWp2W1(j, I))); ")  ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--      RpW1--------"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To RpW1(j, 0)
        Print #4, WDic(RpW1(j, I)); " ("; Trim(Str(KRpW1(j, I))); ")  ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--      EpW1-----"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To EpW1(j, 0)
        Print #4, WDic(EpW1(j, I)); " ("; Trim(Str(KEpW1(j, I))); ")  ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--     Wp2R-------------"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To Wp2R(j, 0)
        Print #4, WDic(Wp2R(j, I)); " ("; Trim(Str(KWp2R(j, I))); ")  ";
    Next I
    
    Print #4,
    Print #4,
    Print #4, "--      Wp2E----"" " + UCase(CurWd(j)) + " """ + String(Abs(20 - LenWd(j)), "-")
    For I = 1 To Wp2E(j, 0)
        Print #4, WDic(Wp2E(j, I)); " ("; Trim(Str(KWp2E(j, I))); ")  ";
    Next I
    
Next j
Close #4
Form1.Command4.SetFocus

End Sub

